using APT.Infrastructure.EF.Map;
using APT.BaseData.Domain.Entities.FM;
using Microsoft.EntityFrameworkCore.Metadata.Builders;
using Microsoft.EntityFrameworkCore;

namespace APT.BaseData.Data.Mapping.FM
{
	public class FMUserGroupBelongRoleMap : APTEntityBaseMap<T_FM_USER_GROUP_BELONG_ROLE>
    {
		public override void Configure(EntityTypeBuilder<T_FM_USER_GROUP_BELONG_ROLE> builder)
		{
			base.Configure(builder);
			builder.HasOne(t => t.Nav_BelongRole).WithMany().HasForeignKey(t => t.BELONG_ROLE_ID).OnDelete(DeleteBehavior.Restrict);
			builder.HasOne(t => t.Nav_UserGroup).WithMany(t => t.Nav_BelongRoles).HasForeignKey(t => t.USER_GROUP_ID).OnDelete(DeleteBehavior.Restrict);
		} 
    }
}
